Bug 12265 - создаётся битый sources.list
: создаётся битый sources.list
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ltsp5-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-08 18:38 by
Modified: 2007-11-11 21:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-08 18:38:07
При запуске ltsp-build-client он вылетает с ошибками:
E: Malformed line 4 in source list
/home/ltspadmin/tmp/ltspdir/aptbox/etc/apt/sources.list (URI)
spt: Fatal Failed to initialize boot.
zcat: /home/ltspadmin/tmp/ltspdir/ltsp-root.tar.gz: No such file or directory

Раскопки показали, что это из-за кривого
/home/ltspadmin/tmp/ltspdir/etc/apt/sources.list, который имеет вид:
# cat apt/sources.list
rpm file:///home/ALTLinux/4.0 i586 classic
rpm file:///home/ALTLinux/4.0 noarch classic
rpm

Проблему решила небольшая правка /usr/share/ltsp/scripts/gen-ltsp-image:
вместо 
while read l; do
    echo "rpm $l" >> ~/tmp/ltspdir/etc/apt/sources.list
done
получилось 
while read l; do
    [ -n "$l" ] && echo "rpm $l" >> ~/tmp/ltspdir/etc/apt/sources.list
done
------- Comment #1 From 2007-07-08 22:40:59 -------
Это уже исправлено:

* Tue Jul  3 11:00:00 2007 Led <led@altlinux.ru> 5.0-alt0.24
- fixed gen-ltsp-image (broken sources.list if EXTRA_MIRROR not set)

В сизифе сейчас 5.0-alt0.25 (или даже 5.0-alt0.26)
------- Comment #2 From 2007-07-09 12:18:48 -------
Вообще это INVALID только для совсем текущей версии, сам такое обычно закрываю
как FIXED. :)
------- Comment #3 From 2007-10-18 10:19:33 -------
тот же результат, но проблема в другом конфиге.
cat ltsp-build-client.conf
VENDOR=ALTLinux
BASE=/var/lib/ltsp5
ARCH=i586
COMPONENTS=classic
MIRROR="rpm ftp://vladreg/pub/4.0/desktop ALTLinux base disk contrib"
#MIRROR=ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus
EXTRA_MIRROR=file:/home/public/ftp/vladreg/pub/sisyphus
ROOTPASS=prompt
EARLY_PACKAGES="ltsp5-client-full"
OVERRIDE_EXPORTS=true
--------------------------
в чрут попадает sources.list:
rpm ftp://vladreg/pub/4.0/desktop ALTLinux base disk contrib
rpm file:/home/public/ftp/vladreg/pub/sisyphus

ну и результат:
ltsp-build-client
/etc/ltsp/ltsp-build-client.conf: line 5: ftp://vladreg/pub/4.0/desktop: No 
such file or directory
[root@xeon RPMS.classic]# [root@xeon ltsp]# ltsp-build-client
E: Malformed line 2 in source list /var/lib/ltsp5/i586/etc/apt/sources.list 
(dist)
E: Malformed line 2 in source list /var/lib/ltsp5/i586/etc/apt/sources.list 
(dist)
E: The list of sources could not be read.
------- Comment #4 From 2007-10-18 10:22:10 -------
да, у меня это на бранче, но 
ltsp5-server-enhanced-5.0-alt0.12
ltsp5-server-5.0-alt0.50
ltsp5-server-basic-5.0-alt0.12
ltsp5-server-kde-5.0-alt0.12
------- Comment #5 From 2007-10-19 00:42:47 -------
(In reply to comment #3)
> MIRROR="rpm ftp://vladreg/pub/4.0/desktop ALTLinux base disk contrib"

1) Укажите правильно MIRROR
2) Для sources с {ftp,http,ssh,rsh}:// следует использовать ltsp-server >= 
5.0-alt0.54

В любом случае, ваш случай - из-за неправильного указания MIRROR
------- Comment #6 From 2007-10-19 00:45:52 -------
fixed {ftp,http,ssh,rsh,copy}:// sources support in ltsp5-5.0-alt0.54